# $Revision: 1.117 $, $Date: 2008/03/20 11:47:40 $
#
# TODO:
#	- separate subpackage with /etc/xpdfrc file; pdftotext
#	  from xpdf-tools or poppler-progs can use language
#	  support files but don't require entire xpdf
#
# Conditional build:
%bcond_without	protections	# remove protections against fair use (printing and copying)
%bcond_without	x		# X-based browser
#
Summary:	Portable Document Format (PDF) file viewer
Summary(es.UTF-8):	Visualizador de archivos PDF
Summary(ja.UTF-8):	X Window System での PDF ファイルヴューア
Summary(pl.UTF-8):	Przeglądarka plików w formacie PDF
Summary(pt_BR.UTF-8):	Visualizador de arquivos PDF
Summary(ru.UTF-8):	Программа для просмотра PDF файлов
Summary(uk.UTF-8):	Програма для перегляду PDF файлів
Name:		xpdf
Version:	3.02
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-%{version}.tar.gz
# Source0-md5:	599dc4cc65a07ee868cf92a667a913d2
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}rc
Patch0:		%{name}-remove_protections.patch
Patch1:		%{name}-fontdirs.patch
Patch2:		%{name}-3.02pl1.patch
Patch3:		%{name}-3.02pl2.patch
# probably obsoleted
Patch4:		%{name}-nonumericlocale.patch
URL:		http://www.foolabs.com/xpdf/
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
BuildRequires:	autoconf
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	libpaper-devel
BuildRequires:	libstdc++-devel
%{?with_x:BuildRequires:	motif-devel}
BuildRequires:	t1lib-devel >= 1.3.0
Suggests:	ghostscript-fonts-std
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libXm.so.1 libXm.so.2
%define		specflags_ia32	 -fomit-frame-pointer 

%description
Xpdf is an X Window System based viewer for Portable Document Format
(PDF) files. PDF files are sometimes called Acrobat files, after Adobe
Acrobat (Adobe's PDF viewer). Xpdf is a small and efficient program
which uses standard X fonts.
%{!?with_protections:This version ignores protections for both: printing and copying.}

%description -l es.UTF-8
Xpdf es un visor de archivos PDF (Portable Document Format). (Estos
son algunas veces llamados de archivos 'Acrobat', nombre del software
PDF del Adobe. Xpdf fue proyectado para ser pequeño y eficiente. Usa
fuentes padrón X.

%description -l ja.UTF-8
xpdf は Portable Document Format (PDF) ファイルの X Window System
上での ヴューアです。PDF ファイルは Adobe Acrobat (Adobe の PDF
ヴューア) にちなんで、 時々 Acrobat ファイルと呼ばれます。xpdf
は小さく、標準的な X のフォントを 使う効果的なプログラムです。 PDF
ファイルのヴューアが必要ならば、xpdf
パッケージをインストールしましょう。

%description -l pl.UTF-8
Xpdf jest przeglądarką plików zapisanych w formacie PDF (Portable
Document Format). Xpdf jest zaprojektowany tak, by być małym i
wydajnym programem. Używa fontów z zasobów X Window.
%{!?with_protections:Ta wersja ignoruje blokady zarówno drukowania jak i kopiowania.}

%description -l pt_BR.UTF-8
Xpdf é um visualizador de arquivos PDF (Portable Document Format).
(Estes são algumas vezes chamados de arquivos 'Acrobat', nome do
software PDF da Adobe. Xpdf foi projetado para ser pequeno e
eficiente. Ele usa fontes padrão X.

%description -l ru.UTF-8
Xpdf - это программа для просмотра файлов в формате Portable Document
Format (PDF). Она быстрая и эффективная и использует стандартные
шрифты X Window.

%description -l uk.UTF-8
Xpdf - це програма для перегляду файлів в форматі Portable Document
Format (PDF). Вона швидка й ефективна та використовує стандартні
шрифти X Window.

%package tools
Summary:	Set of tools for viewing information and converting PDF files
Summary(pl.UTF-8):	Zestaw narzędzi do wyświetlania informacji i konwertowania plików PDF
Group:		Applications/Publishing
Provides:	pdftops
Obsoletes:	pdftohtml-pdftops

%description tools
Set of utilities for displaying information about PDF-files (pdfinfo,
pdffonts, pdfimages) and converting them (pdftopbm, pdftops,
pdftotext).

%description tools -l pl.UTF-8
Zestaw programów do wyświetlania informacji o plikach PDF (pdfinfo,
pdffonts, pdfimages) i konwertowania ich do innych formatów (pdftopbm,
pdftops, pdftotext).

%prep
%setup -q
%{!?with_protections:%patch0 -p1}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__autoconf}
%{!?with_x:export no_x=yes}
CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti"
%configure \
	--enable-a4-paper \
	--enable-freetype2 \
	--enable-multithreaded \
	--enable-opi \
	--enable-wordlist \
	--with-freetype2-includes=/usr/include/freetype2 \
	--with-gzip

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_datadir}/xpdf

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1

%if %{with x}
%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES README
%attr(755,root,root) %{_bindir}/xpdf
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_datadir}/xpdf
%{_mandir}/man1/xpdf.1*
%{_mandir}/man5/xpdfrc.5*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pdf*
%{_mandir}/man1/pdf*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpdf.spec,v $
Revision 1.117  2008/03/20 11:47:40  gotar
- S: ghostscript-fonts-std

Revision 1.116  2008-02-03 18:13:32  gotar
- added TODO

Revision 1.115  2007-11-28 22:40:14  qboosh
- removed outdated cve-2006-0301 patch

Revision 1.114  2007-11-28 08:12:43  arekm
- rel 5

Revision 1.113  2007-11-09 13:55:07  draenog
- upgraded to 3.02pl2 (fixes CVE-2007-4352, CVE-2007-5392, CVE-2007-5393)
- rel 4

Revision 1.112  2007-09-05 13:24:01  baggins
- rel 3

Revision 1.111  2007/08/14 06:04:46  arekm
- rel 2

Revision 1.110  2007/08/13 23:18:23  gotar
- oops, overwritten wrong version - apply the security patch

Revision 1.109  2007/08/13 23:10:15  gotar
- upgraded to 3.02pl1 (security patch)

Revision 1.108  2007/07/04 22:37:58  gotar
- BR: libpaper-devel

Revision 1.107  2007/03/10 13:48:56  gotar
- upgraded to 3.02, removed obsoleted pl2 and noftinternals patches, don't
  know what about cve-2006-0301

Revision 1.106  2007/02/14 21:44:46  qboosh
- resolved conflict

Revision 1.105  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.104  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.103  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.102  2006/06/28 07:11:29  qboosh
- noftinternals patch URL as comment

Revision 1.101  2006/06/27 23:04:28  pluto
- fix build with new FT (thx to Szymon Siwek /sls monkey poczta dot wp dot pl/.

Revision 1.100  2006/05/21 21:19:48  qboosh
- needs patch for freetype 2.2.x

Revision 1.99  2006/04/04 12:33:37  qboosh
- CAN refs for pl2 patch, one more for pl1 patch

Revision 1.98  2006/04/03 17:07:15  arekm
- rel 5; pl2 patch from upstream
[fixes CAN-2005-3624/3625/2626/2627/3628]

Revision 1.97  2006/04/03 16:54:53  arekm
- th BR

Revision 1.96  2006/02/20 09:09:03  qboosh
- added x bcond (to build just tools)

Revision 1.95  2006/02/17 16:50:57  psz
- security fix: CVE-2006-0301
- rel 4; STBR

Revision 1.94  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.93  2005/12/07 12:05:35  havner
- pl1 patch (CAN-2005-3191, CAN-2005-3192 [and CAN-2005-3193])
- rel 3

Revision 1.92  2005/08/31 18:23:01  hawk
- release 2 (1 for Ra)

Revision 1.91  2005/08/28 09:25:53  qboosh
- updated to 3.01
- removed obsolete intoverflow,freetype-includes,3.00pl2,3.00pl3,CAN-2005-2097 patches
- updated remove_protections patch

Revision 1.90  2005/08/16 08:29:04  adamg
- fix for a DoS vulnerability (CAN-2005-2097)
- release 10

Revision 1.89  2005/05/19 14:05:46  qboosh
- cosmetics

Revision 1.88  2005/05/15 19:40:04  adamg
- release 9 for Th

Revision 1.87  2005/01/18 23:32:40  radzio
- add patch6 to address to address CAN-2005-0064
- rel 8
- STBR

Revision 1.86  2004/12/29 23:55:24  pluto
- patch5: s/-p0/-p1/.

Revision 1.85  2004/12/22 11:45:02  hawk
- release 7 to rebuild with recently added pl2 patch, STBR

Revision 1.84  2004/12/22 00:15:14  radzio
- rewrite Patch4 - now it works

Revision 1.83  2004/12/21 23:59:51  radzio
- add xpdf-3.00pl2 to address CAN-2004-1125 vulnerability

Revision 1.82  2004/11/24 16:26:00  hawk
- rel 6

Revision 1.81  2004/11/08 08:01:12  krolik
- added patch for interger overflow, rel 4

Revision 1.80  2004/09/13 22:07:05  grzegol
- run /usr/bin/update-desktop-database in %%post and %%postun

Revision 1.79  2004/07/07 12:45:29  ankry
- rel. 3 to rebuild with openmotif-libs-2.2.3-2

Revision 1.78  2004/06/20 21:37:06  arekm
- fix specflags (quotation here is buggy)

Revision 1.77  2004/01/30 19:09:11  averne
- release 2 to rebuild with new openmotif

Revision 1.76  2004/01/25 15:27:42  qboosh
- added xpdf-freetype-includes patch (fixes build with freetype 2.1.7)
- added fontdirs patch (to use proper Type1 fonts path by default)

Revision 1.75  2004/01/25 00:40:32  gotar
- upgraded to 3.00

Revision 1.74  2004/01/25 00:20:11  gotar
- enabled multithread and wordlist, fixed build

Revision 1.73  2003/12/06 16:38:26  gotar
- new style bcond

Revision 1.72  2003/11/22 16:48:55  gotar
- _applnkdir -> _desktopdir

Revision 1.71  2003/10/13 15:09:27  arekm
- updated to 2.03

Revision 1.70  2003/06/28 19:36:25  gotar
- -fomit-frame-pointer on ia32

Revision 1.69  2003/06/17 06:48:21  adamg
- updated to 2.02pl1 (security bugfix)

Revision 1.68  2003/05/25 06:28:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2003/05/24 22:52:27  gotar
- md5 support for distfiles

Revision 1.66  2003/04/24 23:04:32  gotar
- no more optimizations

Revision 1.65  2003/04/24 22:28:43  gotar
- -fomit-frame-pointer

Revision 1.64  2003/03/26 17:33:54  grzegol
- updated to 2.02
- removed outdated patch (already in sources)

Revision 1.63  2003/03/20 17:32:38  gotar
- fixed descriptions (it does use motif)

Revision 1.62  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.61  2003/01/11 17:03:48  migo
- Provides: and Obsoletes moved into subpackage

Revision 1.60  2003/01/11 17:00:58  migo
- splitted into xpdf and xpdf-tools
- release 2
- xpdf-tools prefix should be /usr...

Revision 1.59  2002/12/26 17:45:54  qboosh
- updated to 2.01 with official security patch (pdfto* can be used as filters)
- added nonumericlocale patch to avoid SEGV caused by LC_NUMERIC with ',' as
  decimal point
- STBR to ra/updates/security

Revision 1.58  2002/11/29 08:43:29  qboosh
- fixed _noautoreqdep

Revision 1.57  2002/11/28 22:39:34  gotar
- added _noautoreqdep libXm.so.2 (openmotif),
- release 3.

Revision 1.56  2002/11/24 16:48:34  gotar
- added --with-Xm-includes %configure option
  needed for building with *motif,
- release 2, STBR.

Revision 1.55  2002/11/04 17:10:26  wiget
- tested; release 1

Revision 1.54  2002/11/04 16:19:02  wiget
- 2.00

Revision 1.53  2002/10/30 09:56:22  gotar
- added conditional for disabling print and copy protection,
- release 6.

Revision 1.52  2002/09/25 15:13:35  gotar
- added xpdfrc tuned to PLD font locations,
- release 5, STBR.

Revision 1.51  2002/08/18 22:54:45  gotar
- added %{_datadir}/xpdf directory for handling language support files,
- pl %desc fix,
- release 4.

Revision 1.50  2002/06/26 09:18:00  wrobell
- config is config :-\

Revision 1.49  2002/06/26 08:56:59  wrobell
- more missing files
- rel. 3, stb

Revision 1.48  2002/06/26 08:51:38  wrobell
- simplified install section
- added missing manual files
- rel. 2, stb

Revision 1.47  2002/06/16 12:06:29  kloczek
- merge translations from KSI.

Revision 1.46  2002/05/22 16:09:20  qboosh
- use plain %%configure

Revision 1.45  2002/05/21 19:20:28  klark
- update to 1.01
- new %doc
- STBR

Revision 1.44  2002/04/02 02:23:21  jack
Added Obsoletes: pdftohtml-pdftops

Revision 1.43  2002/04/01 20:48:27  jack
- Added Provides pdftops (virtual package required by pdftohtml)
- Release 3

Revision 1.42  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.41  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/02/07 13:57:59  wrobell
- enable a4 paper printing by default
- build requirements as on homepage
- rel. 2
- stb

Revision 1.39  2002/02/07 02:29:28  kloczek
- fixed Source url.

Revision 1.38  2002/02/06 23:09:52  filon
- updated to 1.00

Revision 1.37  2002/01/18 02:15:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/10/27 20:12:36  kloczek
- merge translations from CNV.

Revision 1.35  2001/10/27 09:02:04  misiek
- updated to 0.93

Revision 1.34  2001/10/03 02:48:57  marcus
- configure2_13

Revision 1.33  2001/08/10 14:06:57  roman
- fixed a typo

Revision 1.32  2001/07/25 07:12:42  kloczek
- release 6,
- added png Icon to desktop file,
- merged ja translation from Kondara.

Revision 1.31  2001/07/24 23:21:47  aflinta
- changed %configure to %configure2_13

Revision 1.30  2000/12/06 15:06:58  kloczek
- updated to 0.92,
- added using new rpm automation,
- removed outdated DESTDIR patch.

Revision 1.29  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.28  2000/08/17 05:40:32  kloczek
- updated to 0.91.

Revision 1.27  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.26  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/09 00:09:12  kloczek
- release 3,
- spec adapterized.

Revision 1.24  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.22  2000/03/27 02:25:12  kloczek
- release 2,
- rebuilder against t1lib >= 1.0.0.

Revision 1.21  1999/12/23 01:11:51  kloczek
- Copyright changed to GPL,
- adapterized.

Revision 1.20  1999/12/22 22:56:46  bszx
 - upgrade to 0.90

Revision 1.19  1999/09/17 13:39:31  pius
- added using %%configure macro
- cosmetics

Revision 1.18  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.17  1999/09/04 08:47:06  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.16  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.15  1999/07/12 23:06:28  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiński <pius@pld.org.pl>
  [0.80-7]
- package is FHS 2.0 compliant,
- based on spec file by Joel Young <jyoung@erols.com>;
  rewritten for PLD use by me and Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>.
